## haskell-texmath 0.9.4.4

=== lib/toascii/Makefile ===
../../cbits/keyToASCII.c ../../cbits/valToASCII.c: Data.txt
	runghc generate-cbits.hs

=== lib/totexmath/Makefile ===
UnicodeToLaTeX.hs: unimathsymbols.txt
	runghc unicodetotex.hs

.PHONY: clean
clean:
	-rm UnicodeToLaTeX.hs

## haskell-texmath 0.2.0.3

=== debian/changelog ===
haskell-texmath (0.2.0.3-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream release

  [ Marco Túlio Gontijo e Silva ]
  * Use Build-Depends-Indep.
  * control: Vcs-Darcs: Use simpler URL.

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Mon, 22 Mar 2010 22:14:03 +0100

haskell-texmath (0.1.1-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7
  * Switch to 3.0 (quilt) version

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 18:02:32 +0100

haskell-texmath (0.1.1-1) unstable; urgency=low

  * Initial release. (closes: #562771)

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Thu, 07 Jan 2010 19:30:15 +0100

=== debian/control ===
Source: haskell-texmath
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Build-Depends:
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 cdbs,
 ghc6,
 ghc6-prof,
 libghc6-xml-dev,
 libghc6-xml-prof,
 libghc6-parsec2-dev,
 libghc6-parsec2-prof,
Build-Depends-Indep:
 ghc6-doc,
 libghc6-xml-doc,
 libghc6-parsec2-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/texmath
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath

Package: libghc6-texmath-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell library to convert LaTeX to MathML - GHC 6 libraries
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-texmath-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell library to convert LaTeX to MathML - GHC 6 profiling libraries
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-texmath-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: Haskell library to convert LaTeX to MathML - documentation
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 This package contains the library documentation.

## haskell-texmath 0.3.0.2

=== debian/changelog ===
haskell-texmath (0.3.0.2-2) unstable; urgency=low

  * Run ghc6 without active timer (+RTS -V0 -RTS) to avoid build
    problems on hppa

 -- Joachim Breitner <nomeata@debian.org>  Sun, 22 Aug 2010 16:06:02 +0200

haskell-texmath (0.3.0.2-1) unstable; urgency=low

  * New upstream release (closes: #591169).
  * Removing quilt patches (they're not necessary).
  * Removing doc-base (like most Haskell packages).
  * Updating my email address.
  * Standards-Version bumped to 3.9.1 (no changes required).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 01 Aug 2010 22:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
+Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 7),
  haskell-devscripts (>= 0.7),
@@ -17,7 +17,7 @@
  ghc6-doc,
  libghc6-xml-doc,
  libghc6-parsec2-doc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://hackage.haskell.org/package/texmath
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath

## haskell-texmath 0.5.0.1

=== debian/changelog ===
haskell-texmath (0.5.0.1-1build1) oneiric; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 23:44:28 +0100

haskell-texmath (0.5.0.1-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * New upstream release

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required 
  * Add missing syb BDs
  * Remove example which is no longer shipped by upstream 

 -- Iain Lane <laney@debian.org>  Mon, 23 May 2011 18:56:22 +0100

haskell-texmath (0.3.0.3-1) experimental; urgency=low

  * New upstream release 
  * Build against parsec v3 (Closes: #600691) 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 19 Oct 2010 20:03:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,25 @@
  debhelper (>= 7),
  haskell-devscripts (>= 0.7),
  cdbs,
- ghc6,
- ghc6-prof,
- libghc6-xml-dev,
- libghc6-xml-prof,
- libghc6-parsec2-dev,
- libghc6-parsec2-prof,
+ ghc,
+ ghc-prof,
+ libghc-syb-dev,
+ libghc-syb-prof,
+ libghc-xml-dev,
+ libghc-xml-prof,
+ libghc-parsec3-dev,
+ libghc-parsec3-prof,
 Build-Depends-Indep:
- ghc6-doc,
- libghc6-xml-doc,
- libghc6-parsec2-doc
-Standards-Version: 3.9.1
+ ghc-doc,
+ libghc-syb-doc,
+ libghc-xml-doc,
+ libghc-parsec3-doc
+Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/texmath
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath
 
-Package: libghc6-texmath-dev
+Package: libghc-texmath-dev
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -38,7 +41,7 @@
  .
  This package contains the libraries compiled for GHC 6.
 
-Package: libghc6-texmath-prof
+Package: libghc-texmath-prof
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -53,7 +56,7 @@
  .
  This package contains the profiling libraries compiled for GHC 6.
 
-Package: libghc6-texmath-doc
+Package: libghc-texmath-doc
 Section: doc
 Architecture: all
 Depends:

## haskell-texmath 0.6.0.3

=== debian/changelog ===
haskell-texmath (0.6.0.3-1build1) precise; urgency=low

  * No-change rebuild for GHC transition (for some reason the docs
    aren't arch:all)

 -- Iain Lane <laney@ubuntu.com>  Wed, 14 Mar 2012 11:41:24 +0000

haskell-texmath (0.6.0.3-1) unstable; urgency=low

  * New upstream release
  * DM-Upload-Allowed: yes

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Mon, 27 Feb 2012 22:31:50 +0900

haskell-texmath (0.5.0.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 11:18:31 +0000

## haskell-texmath 0.6.0.6

=== debian/changelog ===
haskell-texmath (0.6.0.6-1) unstable; urgency=low

  * New upstream release.
  * Drop patch to depends on parsec >= 3, merged upstream.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 09 May 2012 09:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <gio@debian.org>
+Uploaders: Giovanni Mascellani <gio@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends:
  debhelper (>= 7),
  haskell-devscripts (>= 0.7),
@@ -20,10 +20,11 @@
  libghc-syb-doc,
  libghc-xml-doc,
  libghc-parsec3-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/texmath
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath
+DM-Upload-Allowed: yes
 
 Package: libghc-texmath-dev
 Architecture: any
@@ -34,12 +35,12 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: Haskell library to convert LaTeX to MathML - GHC 6 libraries
+Description: Haskell library to convert LaTeX to MathML - GHC libraries
  The texmath Haskell library provides functions to convert LaTeX math
  formulas to presentation MathML. It supports basic LaTeX and AMS
  extensions, but not macros.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
 Package: libghc-texmath-prof
 Architecture: any
@@ -49,12 +50,12 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: Haskell library to convert LaTeX to MathML - GHC 6 profiling libraries
+Description: Haskell library to convert LaTeX to MathML - GHC profiling libraries
  The texmath Haskell library provides functions to convert LaTeX math
  formulas to presentation MathML. It supports basic LaTeX and AMS
  extensions, but not macros.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
 Package: libghc-texmath-doc
 Section: doc

## haskell-texmath 0.6.1.3

=== debian/changelog ===
haskell-texmath (0.6.1.3-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 13:34:23 +0100

haskell-texmath (0.6.1.3-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:16 +0200

haskell-texmath (0.6.1.3-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 10 Mar 2013 01:02:41 +0100

haskell-texmath (0.6.0.6-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:15 +0200

=== debian/control ===
Source: haskell-texmath
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends:
 debhelper (>= 9),
 haskell-devscripts (>= 0.8.15),
 cdbs,
 ghc,
 ghc-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-xml-dev,
 libghc-xml-prof,
 libghc-parsec3-dev,
 libghc-parsec3-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-syb-doc,
 libghc-xml-doc,
 libghc-parsec3-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/texmath
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath
DM-Upload-Allowed: yes

Package: libghc-texmath-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

Package: libghc-texmath-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

Package: libghc-texmath-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|texmath-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/texmath \
    ([\d\.]*\d)/

## haskell-texmath 0.6.5.2

=== debian/changelog ===
haskell-texmath (0.6.5.2-1build1) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Dec 2013 10:26:44 +0000

haskell-texmath (0.6.5.2-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Louis Bettens ]
  * New upstream release

 -- Louis Bettens <louis@bettens.info>  Fri, 22 Nov 2013 22:52:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <gio@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
+Uploaders: Giovanni Mascellani <gio@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>, Louis Bettens <louis@bettens.info>
 Build-Depends:
  debhelper (>= 9),
  haskell-devscripts (>= 0.8.15),
@@ -13,6 +13,8 @@
  libghc-syb-prof,
  libghc-xml-dev,
  libghc-xml-prof,
+ libghc-pandoc-types-dev,
+ libghc-pandoc-types-prof,
  libghc-parsec3-dev,
  libghc-parsec3-prof,
 Build-Depends-Indep:
@@ -24,7 +26,6 @@
 Homepage: http://hackage.haskell.org/package/texmath
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath
-DM-Upload-Allowed: yes
 
 Package: libghc-texmath-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch

DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-texmath 0.6.6.1

=== debian/changelog ===
haskell-texmath (0.6.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 09 May 2014 21:01:57 -0400

haskell-texmath (0.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 07 Mar 2014 13:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  libghc-syb-doc,
  libghc-xml-doc,
  libghc-parsec3-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/texmath
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-texmath

## haskell-texmath 0.8.1

=== debian/changelog ===
haskell-texmath (0.8.1-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Jun 2015 02:41:53 +0100

haskell-texmath (0.8.1-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:59:08 +0200

haskell-texmath (0.8.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:14 +0200

haskell-texmath (0.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 13:40:50 +0200

haskell-texmath (0.8.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Dec 2014 12:45:48 +0100

haskell-texmath (0.8-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>, Louis Bettens <louis@bettens.info>
 Build-Depends:
  debhelper (>= 9),
- haskell-devscripts (>= 0.8.15),
+ haskell-devscripts (>= 0.9),
  cdbs,
  ghc,
  ghc-prof,
@@ -13,15 +13,19 @@
  libghc-syb-prof,
  libghc-xml-dev,
  libghc-xml-prof,
- libghc-pandoc-types-dev,
+ libghc-pandoc-types-dev (>= 1.12.3.3),
+ libghc-pandoc-types-dev (<< 1.13),
  libghc-pandoc-types-prof,
  libghc-parsec3-dev,
  libghc-parsec3-prof,
+ libghc-network-uri-dev (>= 2.6),
+ libghc-network-uri-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-syb-doc,
  libghc-xml-doc,
- libghc-parsec3-doc
+ libghc-parsec3-doc,
+ libghc-network-uri-doc,
 Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/texmath
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-texmath

## haskell-texmath 0.8.2

=== debian/changelog ===
haskell-texmath (0.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 13:34:22 +0200

## haskell-texmath 0.8.2.2

=== debian/changelog ===
haskell-texmath (0.8.2.2-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jul 2015 16:04:57 +0100

haskell-texmath (0.8.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Jul 2015 15:25:54 +0200

## haskell-texmath 0.8.4.1

=== debian/changelog ===
haskell-texmath (0.8.4.1-1build2) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Feb 2016 14:46:46 +0000

haskell-texmath (0.8.4.1-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jan 2016 17:00:03 +0000

haskell-texmath (0.8.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 00:02:48 -0500

haskell-texmath (0.8.2.2-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:10 -0500

haskell-texmath (0.8.2.2-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:51 +0200

=== debian/control ===
Source: haskell-texmath
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>, Kiwamu Okabe <kiwamu@debian.or.jp>, Louis Bettens <louis@bettens.info>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-pandoc-types-dev (>= 1.12.3.3),
 libghc-pandoc-types-dev (<< 1.17),
 libghc-pandoc-types-prof,
 libghc-parsec3-dev (>= 3),
 libghc-parsec3-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-xml-dev,
 libghc-xml-prof,
 libghc-network-uri-dev (>= 2.6),
Build-Depends-Indep: ghc-doc,
 libghc-mtl-doc,
 libghc-pandoc-types-doc,
 libghc-parsec3-doc,
 libghc-syb-doc,
 libghc-xml-doc,
Standards-Version: 3.9.6
Homepage: http://github.com/jgm/texmath
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-texmath-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

Package: libghc-texmath-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

Package: libghc-texmath-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/texmath/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-texmath 0.8.6.5

=== debian/changelog ===
haskell-texmath (0.8.6.5-1build3) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Aug 2016 22:46:10 +0200

haskell-texmath (0.8.6.5-1build2) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Aug 2016 18:13:02 +0200

haskell-texmath (0.8.6.5-1build1) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Aug 2016 23:09:13 +0200

haskell-texmath (0.8.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 04 Aug 2016 13:41:07 -0400

haskell-texmath (0.8.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 16:01:16 -0400

haskell-texmath (0.8.6.3-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Jun 2016 12:48:15 +0200

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,10 @@
  libghc-parsec3-doc,
  libghc-syb-doc,
  libghc-xml-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://github.com/jgm/texmath
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-texmath-dev
 Architecture: any

## haskell-texmath 0.8.6.7

=== debian/changelog ===
haskell-texmath (0.8.6.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 21:05:40 -0400

haskell-texmath (0.8.6.6-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:29 -0400

haskell-texmath (0.8.6.6-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:14:58 -0400

haskell-texmath (0.8.6.5-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 16:46:53 -0400

=== debian/control ===
Source: haskell-texmath
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Giovanni Mascellani <gio@debian.org>,
 Kiwamu Okabe <kiwamu@debian.or.jp>,
 Louis Bettens <louis@bettens.info>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-pandoc-types-dev (>= 1.12.3.3),
 libghc-pandoc-types-dev (<< 1.18),
 libghc-pandoc-types-prof,
 libghc-parsec3-dev (>= 3),
 libghc-parsec3-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-xml-dev,
 libghc-xml-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-mtl-doc,
 libghc-pandoc-types-doc,
 libghc-parsec3-doc,
 libghc-syb-doc,
 libghc-xml-doc,
Standards-Version: 3.9.8
Homepage: http://github.com/jgm/texmath
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-texmath
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-texmath-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

Package: libghc-texmath-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

Package: libghc-texmath-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell library to convert LaTeX to MathML${haskell:ShortBlurb}
 The texmath Haskell library provides functions to convert LaTeX math
 formulas to presentation MathML. It supports basic LaTeX and AMS
 extensions, but not macros.
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS" -fnetwork-uri

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-texmath 0.9.4

=== debian/changelog ===
haskell-texmath (0.9.4-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 17:30:10 +0200

haskell-texmath (0.9.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 20:19:15 -0400

## haskell-texmath 0.9.4.1

=== debian/changelog ===
haskell-texmath (0.9.4.1-1build3) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 03:34:41 +0000

haskell-texmath (0.9.4.1-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 07:52:32 +0200

haskell-texmath (0.9.4.1-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 00:07:55 +0200

haskell-texmath (0.9.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 18 Jul 2017 23:16:33 -0400

## haskell-texmath 0.9.4.4

=== debian/changelog ===
haskell-texmath (0.9.4.4-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 24 Nov 2017 16:15:49 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  Giovanni Mascellani <gio@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>,
  Louis Bettens <louis@bettens.info>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -31,7 +31,7 @@
  libghc-parsec3-doc,
  libghc-syb-doc,
  libghc-xml-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://github.com/jgm/texmath
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-texmath
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## haskell-texmath 0.10.1.1

=== debian/changelog ===
haskell-texmath (0.10.1.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:14:58 -0400

=== debian/control ===
--- 
+++ 
@@ -31,10 +31,10 @@
  libghc-parsec3-doc,
  libghc-syb-doc,
  libghc-xml-doc,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://github.com/jgm/texmath
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-texmath
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-texmath
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-texmath-dev
 Architecture: any

## haskell-texmath 0.10.1.2

=== debian/changelog ===
haskell-texmath (0.10.1.2-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 15:58:54 +0200

haskell-texmath (0.10.1.2-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 22:26:47 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Louis Bettens <louis@bettens.info>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 9),
@@ -34,7 +35,7 @@
 Standards-Version: 4.1.4
 Homepage: http://github.com/jgm/texmath
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-texmath
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-texmath]
 
 Package: libghc-texmath-dev
 Architecture: any

## haskell-texmath 0.11.1

=== debian/changelog ===
haskell-texmath (0.11.1-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:15 +0300

haskell-texmath (0.11.1-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:35 +0300

haskell-texmath (0.11.1-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 13:18:26 +0300

=== debian/control ===
--- 
+++ 
@@ -9,27 +9,21 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-mtl-dev,
- libghc-mtl-prof,
  libghc-network-uri-dev (>= 2.6),
  libghc-pandoc-types-dev (>= 1.12.3.3),
  libghc-pandoc-types-dev (<< 1.18),
  libghc-pandoc-types-prof,
- libghc-parsec3-dev (>= 3),
- libghc-parsec3-prof,
  libghc-syb-dev,
  libghc-syb-prof,
  libghc-xml-dev,
  libghc-xml-prof,
 Build-Depends-Indep:
  ghc-doc,
- libghc-mtl-doc,
  libghc-pandoc-types-doc,
- libghc-parsec3-doc,
  libghc-syb-doc,
  libghc-xml-doc,
 Standards-Version: 4.1.4

## haskell-texmath 0.11.2.2

=== debian/changelog ===
haskell-texmath (0.11.2.2-1build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 13:47:49 +0200

haskell-texmath (0.11.2.2-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 15:32:36 +0200

haskell-texmath (0.11.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 23:04:27 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
  libghc-pandoc-types-dev (>= 1.12.3.3),
  libghc-pandoc-types-dev (<< 1.18),
  libghc-pandoc-types-prof,
- libghc-syb-dev,
+ libghc-syb-dev (>= 0.4.2),
+ libghc-syb-dev (<< 0.8),
  libghc-syb-prof,
  libghc-xml-dev,
  libghc-xml-prof,

## haskell-texmath 0.12.0.2

=== lib/mmldict/Makefile ===
mmldict.hs: dictionary.xml
	runghc generateMMLDict.hs

dictionary.xml: operatorDictionary.xsl unicode.xml
	xsltproc -o $@ $^

.PHONY: clean
clean:
	-rm mmldict.hs dictionary.xml

=== lib/tounicode/Makefile ===
UnicodeTable.hs: UnicodeData.txt mkUnicodeTable.hs
	runghc mkUnicodeTable.hs > $@

.PHONY: clean
clean:
	-rm UnicodeTable.hs

=== debian/changelog ===
haskell-texmath (0.12.0.2-1build4) groovy; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Aug 2020 22:30:08 +0000

haskell-texmath (0.12.0.2-1build3) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 23:52:33 +0200

haskell-texmath (0.12.0.2-1build2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 21:09:38 +0200

haskell-texmath (0.12.0.2-1build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 15:36:37 +0200

haskell-texmath (0.12.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 08:57:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-texmath
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Giovanni Mascellani <gio@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>,
@@ -13,9 +14,8 @@
  ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-network-uri-dev (>= 2.6),
- libghc-pandoc-types-dev (>= 1.12.3.3),
- libghc-pandoc-types-dev (<< 1.18),
+ libghc-pandoc-types-dev (>= 1.20),
+ libghc-pandoc-types-dev (<< 1.22),
  libghc-pandoc-types-prof,
  libghc-syb-dev (>= 0.4.2),
  libghc-syb-dev (<< 0.8),
@@ -27,8 +27,8 @@
  libghc-pandoc-types-doc,
  libghc-syb-doc,
  libghc-xml-doc,
-Standards-Version: 4.1.4
-Homepage: http://github.com/jgm/texmath
+Standards-Version: 4.5.0
+Homepage: https://github.com/jgm/texmath
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-texmath
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-texmath]

## haskell-texmath 0.12.4

=== man/Makefile ===
ALL=man1/texmath.1

.PHONY: all

all: $(ALL)
man1/%.1: %.1.md
	pandoc $< -o $@ -s -t man

=== lib/mmldict/Makefile ===
mmldict.hs: dictionary.xml
	./generateMMLDict.hs

unicode.xml:
	curl -o $@ https://www.w3.org/2003/entities/2007xml/unicode.xml

dictionary.xml: operatorDictionary.xsl unicode.xml
	xsltproc -o $@ $^

.PHONY: clean
clean:
	-rm mmldict.hs dictionary.xml unicode.xml

=== lib/tounicode/Makefile ===
UnicodeTable.hs: UnicodeData.txt mkUnicodeTable.hs
	./mkUnicodeTable.hs

UnicodeData.txt:
	curl https://www.unicode.org/Public/UCD/latest/ucd/UnicodeData.txt -o $@


.PHONY: clean
clean:
	-rm UnicodeTable.hs UnicodeData.txt

=== debian/changelog ===
haskell-texmath (0.12.4-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 26 Jul 2022 13:48:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-texmath
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Giovanni Mascellani <gio@debian.org>,
  Kiwamu Okabe <kiwamu@debian.or.jp>,
@@ -15,8 +14,10 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-pandoc-types-dev (>= 1.20),
- libghc-pandoc-types-dev (<< 1.22),
+ libghc-pandoc-types-dev (<< 1.23),
  libghc-pandoc-types-prof,
+ libghc-split-dev,
+ libghc-split-prof,
  libghc-syb-dev (>= 0.4.2),
  libghc-syb-dev (<< 0.8),
  libghc-syb-prof,
@@ -25,9 +26,10 @@
 Build-Depends-Indep:
  ghc-doc,
  libghc-pandoc-types-doc,
+ libghc-split-doc,
  libghc-syb-doc,
  libghc-xml-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jgm/texmath
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-texmath
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-texmath]

## haskell-texmath 0.12.8.3

=== lib/totexmath/Makefile ===
UnicodeToLaTeX.hs: unimathsymbols.txt
	./unicodetotex.hs

.PHONY: clean
clean:
	-rm UnicodeToLaTeX.hs

=== debian/changelog ===
haskell-texmath (0.12.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 21 Oct 2023 10:40:47 -0400

haskell-texmath (0.12.8.1-2) unstable; urgency=medium

  * Drop examples file.

 -- Clint Adams <clint@debian.org>  Sun, 08 Oct 2023 18:54:02 -0400

haskell-texmath (0.12.8.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 08 Oct 2023 18:08:47 -0400

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,16 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-pandoc-types-dev (>= 1.20),
- libghc-pandoc-types-dev (<< 1.23),
+ libghc-pandoc-types-dev (<< 1.24),
  libghc-pandoc-types-prof,
  libghc-split-dev,
  libghc-split-prof,
  libghc-syb-dev (>= 0.4.2),
  libghc-syb-dev (<< 0.8),
  libghc-syb-prof,
+ libghc-typst-symbols-dev (>= 0.1.4),
+ libghc-typst-symbols-dev (<< 0.1.5),
+ libghc-typst-symbols-prof,
  libghc-xml-dev,
  libghc-xml-prof,
 Build-Depends-Indep:
@@ -28,8 +31,9 @@
  libghc-pandoc-types-doc,
  libghc-split-doc,
  libghc-syb-doc,
+ libghc-typst-symbols-doc,
  libghc-xml-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jgm/texmath
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-texmath
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-texmath]

## haskell-texmath 0.12.8.7

=== debian/changelog ===
haskell-texmath (0.12.8.7-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Oct 2024 15:08:15 +0300

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  libghc-syb-dev (>= 0.4.2),
  libghc-syb-dev (<< 0.8),
  libghc-syb-prof,
- libghc-typst-symbols-dev (>= 0.1.4),
- libghc-typst-symbols-dev (<< 0.1.5),
+ libghc-typst-symbols-dev (>= 0.1.5),
+ libghc-typst-symbols-dev (<< 0.1.6),
  libghc-typst-symbols-prof,
  libghc-xml-dev,
  libghc-xml-prof,
@@ -33,7 +33,7 @@
  libghc-syb-doc,
  libghc-typst-symbols-doc,
  libghc-xml-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jgm/texmath
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-texmath
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-texmath]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/texmath/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-texmath 0.12.10.3

=== debian/changelog ===
haskell-texmath (0.12.10.3-1build1) resolute; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 01 Mar 2026 19:10:10 +0100

haskell-texmath (0.12.10.3-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Giovanni Mascellani ]
  * Remove myself from uploaders.

  [ Ilias Tsitsimpis ]
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 11 Feb 2026 20:43:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_SETUP_GHC_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS" -fnetwork-uri

%:
	dh $@
